org.eclipse.mat.impl.chart

## Class StorageUnitRenderScript

- java.lang.Object
- - org.eclipse.birt.chart.script.ChartEventHandlerAdapter
  - - org.eclipse.mat.impl.chart.StorageUnitRenderScript

All Implemented Interfaces:
  org.eclipse.birt.chart.script.IChartEventHandler

    public class StorageUnitRenderScript
    extends org.eclipse.birt.chart.script.ChartEventHandlerAdapter

### Constructor Summary

Constructors
Constructor and Description
`StorageUnitRenderScript()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beforeDrawDataPointLabel(org.eclipse.birt.chart.computation.DataPointHints dph, org.eclipse.birt.chart.model.component.Label label, org.eclipse.birt.chart.script.IChartScriptContext icsc)`

### Methods inherited from class org.eclipse.birt.chart.script.ChartEventHandlerAdapter

`afterComputations, afterDataSetFilled, afterDrawAxisLabel, afterDrawAxisTitle, afterDrawBlock, afterDrawDataPoint, afterDrawDataPointLabel, afterDrawFittingCurve, afterDrawLegendEntry, afterDrawLegendItem, afterDrawMarker, afterDrawMarkerLine, afterDrawMarkerRange, afterDrawSeries, afterDrawSeriesTitle, afterGeneration, afterRendering, beforeComputations, beforeDataSetFilled, beforeDrawAxisLabel, beforeDrawAxisTitle, beforeDrawBlock, beforeDrawDataPoint, beforeDrawFittingCurve, beforeDrawLegendEntry, beforeDrawLegendItem, beforeDrawMarker, beforeDrawMarkerLine, beforeDrawMarkerRange, beforeDrawSeries, beforeDrawSeriesTitle, beforeGeneration, beforeRendering`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageUnitRenderScript

    public StorageUnitRenderScript()

### Method Detail

#### beforeDrawDataPointLabel

    public void beforeDrawDataPointLabel(org.eclipse.birt.chart.computation.DataPointHints dph,
                                         org.eclipse.birt.chart.model.component.Label label,
                                         org.eclipse.birt.chart.script.IChartScriptContext icsc)

Specified by:
  `beforeDrawDataPointLabel` in interface `org.eclipse.birt.chart.script.IChartEventHandler`
Overrides:
  `beforeDrawDataPointLabel` in class `org.eclipse.birt.chart.script.ChartEventHandlerAdapter`